//
//  ColorCircle.cpp
//  colorCircleSample
//
//  Created by Yasushi on 11/10/15.
//
//

#include "ColorCircle.hpp"


void ColorCircle::init (float _y, int _eSize, float _speed, ofColor _eColor) {    //初期化用のメソッド
    
    Circle::init(_y, _eSize, _speed);    //親クラス（Circleクラス）のコンストラクタを実行する
    eColor = _eColor;
}

void ColorCircle::update() {
    
    Circle::update();  //親クラス（Circleクラス）のupdate()メソッドを実行
}

void ColorCircle::displayColor() {
    
    ofSetColor(eColor);    //色彩を設定
    Circle::display();  //親クラス（Circleクラス）のdisplay()メソッドを実行
}

//スピードを速くするメソッド
void ColorCircle::faster() {
    Circle::setSpeed(0.5);  //親クラス（Circleクラス）のsetSpeed()に0.5を渡す
}

//スピードを遅くするメソッド
void ColorCircle::slower() {
    Circle::setSpeed(-0.5);  //親クラス（Circleクラス）のsetSpeed()に-0.5を渡す
}